%define name	jclic
%define version 0.1.2.2
%define release  %mkrel 2

Name:		%{name}
Summary:	Create Interactive Exercises
Version:	%{version}
Release:	%{release}
Source:		%{name}-%{version}.zip
Source1:	%{name}.png
URL:		http://clic.edu365.cat/en/jclic/
Group:		Education
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
Requires:	jre
License:	GPL 

%description
JClic is a platform for the creation, playing and evaluation of multimedia
educational activities, developed in the Java platform. JClic is formed by
a set of computer applications that are used for carrying out different types
of educational activities: puzzles, associations, text exercises, crosswords.
The activities are not usually used alone, but packed in projects. A project
is formed by a set of activities and one or more sequences, which indicate
the order in which they have to be shown. To create new exercises type
jclicauthor in a console. For reports type jclicreports in a console.

%prep
%setup -q -n jclic-0.1.2.2

%build

#make some install dirs
mkdir -p $RPM_BUILD_ROOT%{_bindir}
mkdir -p $RPM_BUILD_ROOT%{_datadir}/%{name}
#mkdir -p $RPM_BUILD_ROOT%{_datadir}/%{name}/edu/xtec/resources/skins
#mkdir -p $RPM_BUILD_ROOT%{_datadir}/%{name}/icons
mkdir -p $RPM_BUILD_ROOT/%{_iconsdir}

#install our jar file
install -m 0755 jclic.jar $RPM_BUILD_ROOT%{_datadir}/%{name}/jclic.jar
cp -R * $RPM_BUILD_ROOT%{_datadir}/%{name}/
#install -m 0666 * $RPM_BUILD_ROOT%{_datadir}/%{name}/
install %SOURCE1 $RPM_BUILD_ROOT/%{_iconsdir}/%name.png


#create our launch wrapper script for the player
cat > $RPM_BUILD_ROOT%{_bindir}/%{name} <<EOF
#!/bin/sh
java -jar %{_datadir}/%{name}/jclicplayer.jar

EOF

#create our launch wrapper script for the author
cat > $RPM_BUILD_ROOT%{_bindir}/%{name}author <<EOF
#!/bin/sh
java -jar %{_datadir}/%{name}/jclicauthor.jar

EOF

#create our launch wrapper script for the author
cat > $RPM_BUILD_ROOT%{_bindir}/%{name}reports <<EOF
#!/bin/sh
java -jar %{_datadir}/%{name}/reportServer.jar

EOF

#make our launch wrapper executable
chmod +x $RPM_BUILD_ROOT%{_bindir}/*

#Menu entry
install -d -m755 %{buildroot}%{_datadir}/applications
cat > %{buildroot}%{_datadir}/applications/%{name}.desktop <<EOF
[Desktop Entry]
Encoding=UTF-8
Name=%name
Comment=%summary
Exec=%{name}
Icon=jclic.png
Terminal=false
Type=Application
Categories=Education;X-MandrivaLinux-MoreApplications-Education-Other;
EOF


%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}    

%post
%{update_desktop_database}

%postun
%{clean_desktop_database}

%files
%defattr(-,root,root,0755)
%dir %{_datadir}/%{name}
%{_bindir}/*
%{_datadir}/%{name}/*
%{_datadir}/applications/%{name}.desktop
%{_iconsdir}/%{name}.png

%changelog
* Wed May 20 2009 pcserver <pcserver@hushmail.com> 0.1.2.2-2pclos2009
- fix synaptic group

* Sun Nov 11 2007 Patred TheKnight <edupclos@gmail.com> 0.1.2.2-1edulos
- Initial build
